%define nkfdistname nkf205

Summary: Perl extention for Network Kanji Filter.
Name: perl-NKF
Version: 2.05
Release: 1AX
License: distributable
Group: Applications/Text
Source: %{nkfdistname}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot

%description
This is a Perl Extension version of nkf (Netowrk Kanji Filter ) 2.03.
It converts the last argument and return converted result. Conversion
details are specified by flags before the last argument.

%prep
rm -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT

%setup -n %{nkfdistname}

%build
(cd NKF.mod;
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
)

%install
(cd NKF.mod;
eval `perl '-V:installarchlib'`
eval `perl '-V:installvendorarch'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install
rm -f $RPM_BUILD_ROOT/$installarchlib/perllocal.pod
rm -f $RPM_BUILD_ROOT/$installvendorarch/auto/NKF/NKF.bs
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/perl5/vendor_perl/*/*-linux-*/NKF.pm
%{_libdir}/perl5/vendor_perl/*/*-linux-*/auto
%{_mandir}/man3/NKF.3pm.gz

%changelog
* Thu Aug  4 2005 Shiro Yamada <shiro@miraclelinux.com> 2.05-1AX
- rebuild for ML40

* Wed Mar 24 2003 Jun YOSHIDA <jun@miraclelinux.com>
- removed copyright file.

* Mon Mar 22 2003 Jun YOSHIDA <jun@miraclelinux.com>
- upgraded to 2.03.

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Sep  4 2001 SATO Satoru <ssato@redhat.com> - 1.92-6
- attached nkf.1jeuc(euc-jp) instead of nkf.1j(iso-2022-jp) (#53127)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Feb 28 2001 SATO Satoru <ssato@redhat.com>
- nkf.copyright attached
- use system-defined macros (%%*dir)

* Tue Aug 29 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- adopt FHS

* Mon Aug  7 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- japanese manpages moved ja_JP.eucJP -> ja
- modified to be able to build by normal user.

* Tue Aug 01 2000 Yukihiro Nakai <ynakai@redhat.com>
- Update to 1.92
- rebuild for 7.0J

* Sat Mar 25 2000 Matt Wilson <msw@redhat.com>
- rebuilt for 6.2j
- support compressed man pages

* Wed Mar 22 2000 Chris Ding <cding@redhat.com>
- ja_JP.ujis -> ja_JP.eucJP

* Thu Oct  7 1999 Matt Wilson <msw@redhat.com>
- rebuilt against 6.1

* Sun May 30 1999 FURUSAWA,Kazuhisa <kazu@linux.or.jp>
- 1st Release for i386 (glibc2.1).
- Original Packager: Kazuhiko Mori(COW) <cow@he.mirai.ne.jp>

* Sun Jan 10 1999 Kazuhiko Mori(COW) <cow@he.mirai.ne.jp>
- just rebuilt for glibc TL. (release not changed.)

